[arch-commits] Commit in libtasn1/repos (3 files)

Jan de Groot jgc at archlinux.org
Mon Sep 15 13:01:43 EDT 2008


    Date: Monday, September 15, 2008 @ 13:01:25
  Author: jgc
Revision: 12596

Merged revisions 12460-12595 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libtasn1/trunk

........
  r12535 | jgc | 2008-09-15 07:19:08 +0000 (Mon, 15 Sep 2008) | 2 lines
  
  upgpkg: libtasn1 1.5-2
      Generate info/dir from postinstall
........

Added:
  libtasn1/repos/extra-i686/libtasn1.install
    (from rev 12535, libtasn1/trunk/libtasn1.install)
Modified:
  libtasn1/repos/extra-i686/	(properties)
  libtasn1/repos/extra-i686/PKGBUILD

------------------+
 PKGBUILD         |    7 ++++++-
 libtasn1.install |   18 ++++++++++++++++++
 2 files changed, 24 insertions(+), 1 deletion(-)


Property changes on: libtasn1/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /libtasn1/trunk:1-12459
   + /libtasn1/trunk:1-12595

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-09-15 16:57:22 UTC (rev 12595)
+++ extra-i686/PKGBUILD	2008-09-15 17:01:25 UTC (rev 12596)
@@ -4,13 +4,14 @@
 
 pkgname=libtasn1
 pkgver=1.5
-pkgrel=1
+pkgrel=2
 pkgdesc="The ASN.1 library used in GNUTLS"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL')
 url="http://www.gnu.org/software/gnutls/"
 depends=('glibc')
 options=('!libtool')
+install=libtasn1.install
 source=(ftp://ftp.gnutls.org/pub/gnutls/${pkgname}/${pkgname}-${pkgver}.tar.gz)
 md5sums=('7d7e8e21d1159a0b4c0aa69469eef565')
 
@@ -19,4 +20,8 @@
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
+
+  cd "${pkgdir}/usr/share/info" || return 1
+  rm -f dir
+  gzip * || return 1
 }

Copied: libtasn1/repos/extra-i686/libtasn1.install (from rev 12535, libtasn1/trunk/libtasn1.install)
===================================================================
--- extra-i686/libtasn1.install	                        (rev 0)
+++ extra-i686/libtasn1.install	2008-09-15 17:01:25 UTC (rev 12596)
@@ -0,0 +1,18 @@
+info_dir=/usr/share/info
+info_files=(libtasn1.info)
+
+post_install() {
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list